% Whiten the given training data by subtracting the mean and dividing by
% the standard deviation for each feature, then use the whitening
% parameters from the training data to whiten the test data similarly

function [trainData, testData] = whitenData(trainData, testData)

[trainData, trainMeans, trainStds] = simpleWhitenData(trainData);

testData = whitenDataFromParams(testData,trainMeans,trainStds);